import HelloWorld from './src/hello-world'
import CustomCard from './src/custom-card'
import gaodeList from './src/gaodeList'
import gaodeFoodList from './src/gaodeFoodList'

// 导出 install 函数
// Vue.use() 会调用这个函数
const install = function (Vue, opts = {}) {
  // 如果安装过就忽略
  if (install.installed) return

  // 指定组件 name
  Vue.component(HelloWorld.name, HelloWorld)
  Vue.component(CustomCard.name, CustomCard)
  Vue.component(gaodeList.widgetName, gaodeList)
  Vue.component('gaodeFoodList', gaodeFoodList)
}

// 自动安装 方便打包成压缩文件, 用<script scr=''></script>的方式引用
if (typeof window !== 'undefined' && window.Vue) {
  install(window.Vue)
}

// 把模块导出
export default{
  install,
  helloWorld: HelloWorld,
  customContentCard: CustomCard
  // gaodeList: gaodeList,
  // gaodeFoodList: gaodeFoodList
}
